Remove a fieldset from the schema
Remove a fieldset from the schema
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
oligo_duplex_schema_id
ID of the OligoDuplexSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
fieldsetId
The API ID of the fieldset to remove from the schema. The fieldset must exist and be accessible.
schemaPrefixReplacement
If and only if the fieldset being removed sets the schema's prefix, this field must be present to provide a replacement prefix. It is an error to supply this field if the fieldset being removed does not have a prefix.
Response
OK
__typename
archiveReason
archived
availableRegistrationNamingOptions
constraint
Defines uniqueness requirements for entities within a schema. Constraints ensure that
registered entities have unique values across specified fields (see fieldDefinitionNames)
or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues
field is a legacy indicator for sequence uniqueness.
containableType
Allowed values:
containerNameTemplate
A name template for containers.
createdAt
description
fieldDefinitions
fieldsets
iconId
Allowed values:
id
includeRegistryIdInChips
itemIdPrefix
modifiedAt
name
nameTemplate
A name template for entities.
organization
systemCategories
systemName
useRegistryIdForItemDisplayLabel
validationRules
Errors
400
Oligo Duplex Schema Remove Fieldset Request Bad Request Error
403
Oligo Duplex Schema Remove Fieldset Request Forbidden Error
404
Oligo Duplex Schema Remove Fieldset Request Not Found Error
409
Oligo Duplex Schema Remove Fieldset Request Conflict Error
429
Oligo Duplex Schema Remove Fieldset Request Too Many Requests Error
500
Oligo Duplex Schema Remove Fieldset Request Internal Server Error